#!/usr/bin/awk -f
##################################################################
# This AWK script generates a dot representation for a Makefile
#
#Copyright 2008 Pjotr Kourzanov
#
#This file is part of LIME.
#
#LIME is free software: you can redistribute it and/or modify
#it under the terms of the GNU General Public License version 2
#as published by the Free Software Foundation; either version 2
#of the License, or (at your option) any later version.
#
#LIME is distributed in the hope that it will be useful,
#but WITHOUT ANY WARRANTY; without even the implied warranty of
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#GNU General Public License for more details.
#
#You should have received a copy of the GNU General Public License
#along with LIME.  If not, see <http://www.gnu.org/licenses/>.
##################################################################
BEGIN { FS=":"
	print "digraph make {"
}
/^[[:space:]]*#/ { next }
/^\t[[:space:]]*/ { next }
NF >= 2 { 
	gsub(/%/,"")
	if ($2 ~ /^[[:space:]]*$/) $2="spontaneous"
	n=split($2,req," ")
	for (i=1; i<=n; i++)
		print "\"" req[i] "\"->\"" $1 "\""
}
END { print "}" }
