/****************************************************************
This header file contains common definitions used by LIME. KISS.

Copyright 2008 Pjotr Kourzanov

This file is part of LIME.

LIME is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License version 2
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

LIME is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with LIME.  If not, see <http://www.gnu.org/licenses/>.
****************************************************************/
#ifndef __COMMON__
#define __COMMON__

// Common defines
#define Typedef(tag,type) typedef tag type type##_t

#define lengthof(type)	(sizeof type/sizeof type[0])

#define max(a,b) ( (a) >= (b) ? (a) : (b) )

#define _static static

#endif//__COMMON__
