##################################################################
# AWK helper functions for LIME pragma handling
#
#Copyright 2008 Pjotr Kourzanov
#
#This file is part of LIME.
#
#LIME is free software: you can redistribute it and/or modify
#it under the terms of the GNU General Public License version 2
#as published by the Free Software Foundation; either version 2
#of the License, or (at your option) any later version.
#
#LIME is distributed in the hope that it will be useful,
#but WITHOUT ANY WARRANTY; without even the implied warranty of
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#GNU General Public License for more details.
#
#You should have received a copy of the GNU General Public License
#along with LIME.  If not, see <http://www.gnu.org/licenses/>.
##################################################################

func is_node_type(c,n,t) {
	return node_type[c,n] ~ t
}

func add_node_type(t, nt) { return append(t,nt) }

func del_node_type(t, nt) {
	if (nt) return gensub("[[:space:]]*" nt "$","","g",t)
	return gensub(/[[:space:]]*[[:alnum:]]+$/,"","g",t)
}

func inherit_types(f,c,n, a,na,i) {
	na=split(node_type[f,n],a)
	for (i=1; i<=na; i++) {
		if (handled[f,n,a[i]]) continue
		if (node_type[f,c] ~ a[i]) continue
		node_type[f,c]=append(node_type[f,c],a[i])
	}
}

